AP 송장 API
벤더에서 사용하는 것과 같은 외부 시스템이 구조적이고 자동화된 방식으로 미지급금 시스템에 직접 송장을 안전하게 제출할 수 있도록 합니다.
이 API에는 외상 매입금 송장 처리sn_spend_intg 네임스페이스 내에서 제공되는 (com.sn_ap_apm) 스토어 애플리케이션이 필요합니다. 자세한 내용은 Accounts Payable Invoice Processing 문서를 참조하십시오.
- 송장, 송장 라인 및 송장 세금 라인에 대한 사용자 지정 필드를 정의합니다.
- 소스와 대상 테이블 사이에 사용자 지정 필드를 매핑합니다.
- 사용자 지정 필드를 JSON, cXML 또는 XML과 같은 특정 형식의 페이로드 항목에 매핑합니다.
- cXML을 페이로드로 사용할 때 인증을 위한 자격 증명을 설정합니다.
AP 송장 - POST sn_spend_intg/ap_invoice/cxml
cXML(상거래 XML) 형식의 자동 송장을 처리합니다.
송장 통합 필드 매핑 [sn_spend_intg_invoice_intg_field_mapping] 테이블을 사용하여 필드가 cXML 태그에 매핑되는 방식을 결정합니다.
추가 cXML 리소스는 https://xml.cxml.org 에서 cXML 참조 가이드를 참조하십시오.
이 API에 대한 자격 증명은 페이로드에 포함됩니다. 소스 시스템 자격 증명 [sn_spend_intg_source_system_credential] 테이블에서 자격 증명을 설정할 수 있습니다. 지침은 cXML 페이로드에서 인증을 위한 자격 증명 설정 문서를 참조하십시오.
URL 형식
버전이 지정된 URL: /api/sn_spend_intg/v1/ap_invoice/cxml
기본 URL: /api/sn_spend_intg/ap_invoice/cxml
지원되는 요청 매개변수
| 이름 | 설명 |
|---|---|
| api_version | 옵션입니다. 액세스할 엔드포인트의 버전입니다. 예를 들어 v1 또는 v2입니다. 최신 버전이 아닌 엔드포인트 버전을 사용하려면 이 값만 지정합니다. 데이터 유형: 문자열 |
| 이름 | 설명 |
|---|---|
| 안 함 |
| 경로 | 설명 |
|---|---|
| /cXML/Header/From /Credential[@domain='VendorID']/Identity | 고객이 주문할 수 있는 리셀러 또는 공급자의 식별자입니다. 대상 필드: u_supplier 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader[@invoiceDate] | 고객이 송장을 처리한 날짜입니다. 대상 필드: u_invoice_date 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 형식: YYYY-MM-DD |
| /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader[@invoiceID] | 외부 공급업체 애플리케이션에서 생성된 송장 번호입니다. 대상 필드: u_external_invoice_number 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader[@invoiceOrigin] | 송장을 수신하는 외부 소스 시스템입니다. 예: supplier. 대상 필드: u_inbound_source 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact[@role='billTo']/PostalAddress/City | 송장이 전송되는 도시입니다. 대상 필드: u_bill_to_city 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact[@role='billTo']/PostalAddress/Country | 송장이 전송되는 국가(ISO 3166 형식)입니다. 예: US.대상 필드: u_bill_to_country 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact[@role='billTo']/PostalAddress/State | 송장이 전송되는 시 또는 도입니다. 대상 필드: u_bill_to_state_or_province 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact[@role='billTo']/PostalAddress/Street | 송장이 전송되는 도로명 주소입니다. 대상 필드: u_bill_to_street 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact[@role='billTo']/PostalAddress/PostalCode | 송장이 전송되는 우편번호입니다. 대상 필드: u_bill_to_zip_or_postal_code |
| 연락처[@role="remitTo"]/PostalAddress /Street | 지불이 이루어지는 도로명 주소입니다. 대상 필드: u_remit_address |
| 연락처[@role="remitTo"]/PostalAddress /City | 지불이 이루어지는 도시입니다. 대상 필드: u_remit_to_city |
| 연락처[@role="remitTo"]/PostalAddress/State | 지불이 이루어지는 시 또는 도입니다. 대상 필드: u_remit_to_state_or_province |
| 연락처[@role="remitTo"]/PostalAddress /PostalCode | 지불이 이루어지는 우편번호입니다. 대상 필드: u_remit_to_zip_or_postal_code |
| 연락처[@role="remitTo"]/PostalAddress/Country | 지불이 이루어지는 국가(ISO 3166 형식)입니다. 예: US.대상 필드: u_remit_to_country |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact[@role="shipFrom"]/PostalAddress /Street | 구매 주문서의 항목이 배송된 출발지 거리입니다. 대상 필드: u_ship_from_street 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact[@role="shipFrom"]/PostalAddress /City | 구매 주문서의 항목이 배송된 출발지 도시입니다. 대상 필드: u_ship_from_city 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact[@role="shipFrom"]/PostalAddress /State | 구매 주문서의 항목이 배송된 출발지 주/도입니다. 대상 필드: u_ship_from_state_or_province 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact[@role="shipFrom"]/PostalAddress /PostalCode | 구매 주문서의 항목이 배송된 출발지 우편번호입니다. 대상 필드: u_ship_from_zip_or_postal_code 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact[@role="shipFrom"]/PostalAddress /Country | 구매 주문서의 항목이 배송된 출발지 국가입니다. 대상 필드: u_ship_from_country 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoicePartner/Contact[@role="billTo"] [@addressID] | 공급자의 법인 이름입니다. 법인 [sn_fin_legal_entity] 테이블에 있습니다. 대상 필드: u_legal_entity 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| 연락처[@role="shipTo"]/이름 | 구매 주문서의 항목이 배송될 연락처의 이름입니다. 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| 연락처[@role="shipTo"]/PostalAddress /Street | 구매 주문서의 항목이 배송된 목적지 거리입니다. 대상 필드: u_ship_to_street 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| 연락처[@role="shipTo"]/PostalAddress /City | 구매 주문서의 항목이 배송된 목적지 도시입니다. 대상 필드: u_ship_to_city 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| 연락처[@role="shipTo"]/PostalAddress/State | 구매 주문서의 항목이 배송된 목적지 시/도입니다. 대상 필드: u_ship_to_state_or_province |
| 연락처[@role="shipTo"]/PostalAddress /PostalCode | 구매 주문서의 항목이 배송된 목적지 우편번호입니다. 대상 필드: u_ship_to_zip_or_postal_code 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| 연락처[@role="shipTo"]/PostalAddress/Country | 구매 주문서의 항목이 배송된 목적지 국가입니다. 대상 필드: u_ship_from_country 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/PaymentTerm | 공급자에 대한 지불이 이루어지는 합의된 시간과 조건입니다. 예를 들어, Net 30입니다.대상 필드: u_payment_terms 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem[@description]/ | 송장 라인에 대한 설명입니다. 대상 필드: u_line_description |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem[@quantity]/ | 고객이 송장을 발행하는 상품 또는 서비스의 수량입니다. 대상 필드: u_line_quantity |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/Distribution/Accounting /AccountingSegment[1]/Name | 송장이 생성되는 비용 센터의 계정 번호입니다. 비용 센터 [cmn_cost_center] 테이블에 나열됩니다. 대상 필드: u_cost_center |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/Distribution/Accounting /AccountingSegment[2]/Name | 송장을 생성하는 데 사용되는 GL(총계정원장)의 계정 번호입니다. 대상 필드: u_gl_account |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/SubtotalAmount/Money | 세금 및 배송료를 제외하고 공급자에게 지불할 총 금액입니다. 대상 필드: u_subtotal 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder/InvoiceDetailItem/NetAmount/Money | 지정된 구매 주문 라인에 대해 고객에게 송장이 발행되는 총 비용(세금 및 배송 제외)입니다. 대상 필드: u_line_amount_invoiced 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailOrderInfo/OrderReference | 이 주문에 대해 고객이 제공한 구매 주문서 번호입니다. 구매 주문서 [sn_shop_purchase_order] 테이블에 나열됩니다. 대상 필드: u_purchase_order 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder/InvoiceDetailItem/UnitPrice/UnitOfMeasure | 송장의 항목을 계산하는 데 사용되는 UOM(기본 측정 단위)입니다. 대상 필드: u_uom 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder/InvoiceDetailItem/UnitPrice/Money | 송장 내 라인 항목의 단가입니다. 대상 필드: u_line_unit_price 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder/InvoiceDetailItem/UnitPrice/Money[@currency] | 라인 항목의 통화입니다. 예: USD대상 필드: u_currency 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder/InvoiceDetailItem /InvoiceDetailItemReference[@lineNumber] | 참조된 공급자의 구매 주문서 라인 ID입니다. 구매 주문서 라인 [sn_shop_purchase_order_line] 테이블에 나열됩니다. 대상 필드: u_purchase_order_line 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder/InvoiceDetailItem/InvoiceDetailItemReference /ItemID/SupplierPartID | 이 송장 라인에 대해 공급자가 생성하는 파트 번호입니다. 대상 필드: u_supplier_part_number 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder/InvoiceDetailItem/InvoiceDetailItemReference /Description | 송장의 구매 주문서 라인에 대한 설명입니다. 대상 필드: u_po_line_description 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder/InvoiceDetailItem/Tax/Money | 구매에 대해 청구되는 총 세금 금액입니다. 대상 필드: u_tax_amount 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder/InvoiceDetailItem/Tax/Description | ERP 소스에서 생성된 고유 세금 코드입니다. 대상 필드: u_tax_code 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /cXML/Request/InvoiceDetailRequest/ InvoiceDetailSummary /SubtotalAmount/돈 | 세금 및 배송료를 제외하고 공급자에게 지불할 총 금액입니다. 대상 필드: u_subtotal 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /세금/돈 | 구매에 대해 청구되는 총 세금 금액입니다. 대상 필드: u_tax_amount 관련 테이블: 송장 세금 라인 임포트 [sn_spend_intg_imp_invoice_tax_line] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /Tax/TaxDetail[@category] | 송장에 적용할 수 있는 세금 유형입니다. 세금 유형 [sn_fin_tax_type] 테이블에 나열됩니다. 대상 필드: u_tax_type 관련 테이블: 송장 세금 라인 임포트 [sn_spend_intg_imp_invoice_tax_line] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /tax/TaxDetail[@percentageRate] | 공급자가 부과한 세율입니다. 관련 테이블: 송장 세금 라인 임포트 [sn_spend_intg_imp_invoice_tax_line] 대상 필드: u_supplier_tax_rate 관련 테이블: 송장 세금 라인 임포트 [sn_spend_intg_imp_invoice_tax_line] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /SpecialHandlingAmount/돈 | 송장과 관련된 기타 추가 요금입니다. 편집 가능한 필드입니다. 대상 필드: u_other_charges 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /ShippingAmount/Money | 전체 구매에 대한 총 배송 비용입니다. 대상 필드: u_shipping_amount 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /GrossAmount/돈 | 필수. 소계, 세금 및 배송비에 대한 통화입니다. 소계, 세금 및 배송은 동일한 통화여야 합니다. 대상 필드: u_currency 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /InvoiceDetailDiscount/Money | 송장에 적용되는 할인입니다. 대상 필드: u_discounts 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /NetAmount/돈 | 세금 및 배송료를 포함하여 공급자에게 지불해야 할 총 금액입니다. 대상 필드: u_amount_invoiced 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
머리글
다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 이 작업에 고유한 방식으로 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하세요.
| 헤더 | 설명 |
|---|---|
| 콘텐츠-형식 | 요청 본문의 데이터 형식입니다. .만 지원합니다 application/xml. |
| 소스-시스템 | 요청이 들어오는 소스 시스템을 지정합니다. 사용 가능한 시스템은 소스 시스템 자격 증명 [sn_spend_intg_source_system_credential] 테이블에 나열됩니다. 이 설정은 제공된 요청이 송장 통합 필드 매핑 [sn_spend_intg_invoice_intg_field_mapping] 테이블의 구조를 따르는지 확인하는 데 도움이 됩니다. 이 설정은 소스 시스템 자격 증명 [sn_spend_intg_source_system_credential] 테이블에서 자격 증명을 가져오는 데에도 사용됩니다. |
| 헤더 | 설명 |
|---|---|
| 없음 |
상태 코드
다음 상태 코드는 이 HTTP 작업에 적용됩니다. REST API에서 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하세요.
| 상태 코드 | 설명 |
|---|---|
| 202 | 요청이 수락되었습니다. 요청이 성공했으며 송장 처리가 진행 중입니다. |
| 400 | 잘못된 요청입니다. 잘못된 요청 유형 또는 잘못된 형식의 요청이 탐지되었습니다. |
| 429 | 요청이 너무 많습니다. 요청 속도가 시간당 최대 10개 요청을 초과했습니다. |
응답 본문 매개변수
| 이름 | 설명 |
|---|---|
| batch_id | 배치 요청의 고유 식별자입니다. 이 ID는 요청 상태를 추적하는 데 사용할 수 있습니다. 이 기록은 송장 통합 로그 [sn_spend_intg_invoice_integration_log] 테이블에 저장됩니다. 데이터 유형: 문자열 |
| 오류 | 요청이 실패할 때의 오류 메시지와 세부 정보를 포함합니다.데이터 유형: 객체 |
| 오류.상세 정보 | 요청 오류에 대한 추가 상세 정보입니다. 가능한 결과:
데이터 유형: 문자열 |
| 오류.메시지 | 요청이 실패한 이유를 포함하는 오류 메시지 가능한 오류:
데이터 유형: 문자열 |
| 메시지 | 성공 메시지(예: 요청이 성공적으로 수신되어 처리 중임)입니다. 송장 통합 로그 [sn_spend_intg_invoice_integration_log] 테이블에서 요청 상태를 볼 수 있습니다. 데이터 유형: 문자열 |
| 상태 | 요청의 결과를 나타냅니다. 가능한 값:
데이터 유형: 문자열 |
cURL 요청
다음 예는 cXML 형식의 요청으로 제공된 송장을 처리하는 방법을 보여줍니다.
curl -X POST https://instance.servicenow.com/api/sn_spend_intg/v1/ap_invoice/cxml \
-H "Source-System: Ariba" \
-H "Content-Type: application/json" \
-d '{
"content": "------=_Part_1367_1859161670.1709186492411\r\nContent-Type: text/xml; charset=UTF-8\r\n
Content-ID: 1709186492411.10815535@produs-c4-an-s2-z3-1.us2.gcpint.ariba.com\r\n<?xml version=\"1.0\"
encoding=\"UTF-8\"?>\r\n<!DOCTYPE cXML SYSTEM \"https://protect-us.mimecast.com/s/fgKrCERVqQU35PNzBuw39pz?domain=xml.cxml.org\">
\r\n<cXML timestamp=\"2024-02-28T22:01:32-08:00\" payloadID=\"1709186492411-3401013259654180284@10.209.37.74\">
\r\n <Response>\r\n <Status code=\"200\" text=\"OK\" />\r\n <DataResponse>\r\n <Attachment>
\r\n <URL>186492411.10815535@produs-c4-an-s2-z3-1.us2.gcpint.ariba.com.110</URL>\r\n </Attachment>
\r\n <Attachment>\r\n <URL>1709186492403.306612238@produs-c4-an-s2-z3-1.us2.gcpint.ariba.com.108</URL>
\r\n </Attachment>\r\n </DataResponse>\r\n </Response>\r\n</cXML>\r\n------=_Part_1367_1859161670.1709186492411
\r\nContent-Type: text/xml; charset=UTF-8\r\nContent-ID: 1709186492403.306612238@produs-c4-an-s2-z3-1.us2.gcpint.ariba.com.108
\r\n<?xml version=\"1.0\" encoding=\"UTF-8\"?>\r\n
<!DOCTYPE cXML SYSTEM \"https://protect-us.mimecast.com/s/7QpfCG6VRKf15gQPwFpUTKe?domain=xml.cxml.org\">\r\n
<cXML payloadID=\"1705930173863-1790846563502652473@10.209.37.98\" timestamp=\"2024-01-22T05:29:33-08:00\" version=\"1.2.060\">\r\n
<Header>\r\n <From>\r\n <Credential domain=\"NetworkID\">\r\n <Identity>AN01532216648-T</Identity>\r\n
</Credential>\r\n <Credential domain=\"VendorID\">\r\n <Identity>3245545</Identity>\r\n
</Credential>\r\n <Credential domain=\"PrivateID\">\r\n <Identity>0000099123</Identity>\r\n
</Credential>\r\n </From>\r\n <To>\r\n <Credential domain=\"NetworkID\">\r\n
<Identity>AN01404744424-T</Identity>\r\n </Credential>\r\n <Credential domain=\"SystemID\">\r\n
<Identity>ERP1</Identity>\r\n </Credential>\r\n <Credential domain=\"EndPointID\">\r\n
<Identity>CIG</Identity>\r\n </Credential>\r\n </To>\r\n <Sender>\r\n
<Credential domain=\"NetworkID\">\r\n <Identity>AN01000000001</Identity>\r\n
<SharedSecret>Ariba@123</SharedSecret>\r\n </Credential>\r\n <UserAgent>Supplier</UserAgent>\r\n
</Sender>\r\n </Header>\r\n <Request deploymentMode=\"test\">\r\n <InvoiceDetailRequest>\r\n
<InvoiceDetailRequestHeader invoiceDate=\"2024-01-22\" invoiceID=\"\" invoiceOrigin=\"supplier\" operation=\"new\ purpose=\"PO Invoice\">\r\n
<InvoiceDetailHeaderIndicator></InvoiceDetailHeaderIndicator>\r\n
<InvoiceDetailLineIndicator></InvoiceDetailLineIndicator>\r\n <InvoicePartner>\r\n
<Contact addressID=\"Test123\" role=\"remitTo\">\r\n
<Name xml:lang=\"en-US\">Oil and Natural Gas Corporation Limited</Name>\r\n
<PostalAddress>\r\n <Street>Xyz street</Street>\r\n <City>USA</City>\r\n
<State isoStateCode=\"US-NY\">NY</State>\r\n <PostalCode>10001</PostalCode>\r\n
<Country isoCountryCode=\"US\">United States</Country>\r\n </PostalAddress>\r\n
</Contact>\r\n </InvoicePartner>\r\n <InvoicePartner>\r\n
<Contact addressID=\"9009\" role=\"billTo\">\r\n <Name xml:lang=\"EN\">Bristlecone Inc</Name>\r\n
<PostalAddress>\r\n <Street>10 Boulvard-10</Street>\r\n
<City>San Jose</City>\r\n <State>CA</State>\r\n
<PostalCode>94077</PostalCode>\r\n <Country isoCountryCode=\"US\"></Country>\r\n
</PostalAddress>\r\n <Phone>\r\n <TelephoneNumber>\r\n
<CountryCode isoCountryCode=\"US\">1</CountryCode>\r\n <Number>7687687799</Number>\r\n
</TelephoneNumber>\r\n </Phone>\r\n <Fax>\r\n
<TelephoneNumber>\r\n <CountryCode isoCountryCode=\"US\">1</CountryCode>\r\n
<Number>768-FAX-NUMBER</Number>\r\n </TelephoneNumber>\r\n </Fax>\r\n
</Contact>\r\n </InvoicePartner>\r\n <InvoicePartner>\r\n <Contact role=\"from\">\r\n
<Name xml:lang=\"en-US\">Oil and Natural Gas Corporation Limited</Name>\r\n <PostalAddress>\r\n
<Street>123 , street no 5</Street>\r\n <City>Dallas</City>\r\n
<State isoStateCode=\"US-AL\">AL</State>\r\n <PostalCode>36615</PostalCode>\r\n
<Country isoCountryCode=\"US\">United States</Country>\r\n </PostalAddress>\r\n
</Contact>\r\n </InvoicePartner>\r\n <InvoiceDetailShipping>\r\n
<Contact role=\"shipFrom\">\r\n <Name xml:lang=\"en-US\">Oil and Natural Gas Corporation Limited</Name>\r\n
<PostalAddress>\r\n <Street>Deendayal Urja Bhawan</Street>\r\n
<City>New Delhi</City>\r\n <State isoStateCode=\"IN-MH\">Maharashtra</State>\r\n
<PostalCode>110070</PostalCode>\r\n <Country isoCountryCode=\"IN\">India</Country>\r\n
</PostalAddress>\r\n </Contact>\r\n <Contact addressID=\"9999\" role=\"shipTo\">\r\n
<Name xml:lang=\"EN\">Buyer Plant Bristlecone</Name>\r\n <PostalAddress name=\"default\">\r\n
<Street>18 Hanoi Road</Street>\r\n <City>San Jose</City>\r\n
<State>CA</State>\r\n <PostalCode>77077</PostalCode>\r\n
<Country isoCountryCode=\"US\"></Country>\r\n </PostalAddress>\r\n
<Email name=\"default\" preferredLang=\"en\">test@test.com</Email>\r\n </Contact>\r\n
</InvoiceDetailShipping>\r\n </InvoiceDetailRequestHeader>\r\n <InvoiceDetailOrder>\r\n
<InvoiceDetailOrderInfo>\r\n <OrderReference orderID=\"\">\r\n
<DocumentReference payloadID=\"0AAF8EA1FA5F1EDE9FDC97460BCB03E1\"></DocumentReference>\r\n
</OrderReference>\r\n </InvoiceDetailOrderInfo>\r\n
<InvoiceDetailItem invoiceLineNumber=\"2\" quantity=\"25\" description=\"Indian Oil\">\r\n
<UnitOfMeasure>EA</UnitOfMeasure>\r\n <UnitPrice>\r\n <Money currency=\"USD\">50</Money>\r\n
</UnitPrice>\r\n <SubtotalAmount>\r\n <Money currency=\"USD\">1250.00</Money>\r\n
</SubtotalAmount>\r\n </InvoiceDetailItem>\r\n </InvoiceDetailOrder>\r\n </InvoiceDetailRequest>\r\n
</Request>\r\n</cXML>\r\n------=_Part_1367_1859161670.1709186492411--"
}'
다음 결과는 요청이 성공했으며 송장 데이터가 처리 중임을 보여줍니다. 송장 통합 로그 [sn_spend_intg_invoice_integration_log] 테이블에서 요청 상태를 볼 수 있습니다. 배치 ID 열에 나열된 배치 ID를 사용하여 송장을 찾습니다.
{
"batchId": "APIINV1729711710733280",
"status": "Success",
"message": "Your request has been successfully received and is being processed."
}
AP 송장 - POST sn_spend_intg/ap_invoice/json
JSON 형식으로 자동 송장을 처리합니다.
필요한 역할: sn_spend_intg.procurement_integrator
송장 통합 필드 매핑 [sn_spend_intg_invoice_intg_field_mapping] 테이블을 사용하여 필드가 JSON 속성에 매핑되는 방식을 결정합니다.
URL 형식
버전이 지정된 URL: /api/sn_spend_intg/v1/ap_invoice/json
기본 URL: /api/sn_spend_intg/ap_invoice/json
지원되는 요청 매개변수
| 이름 | 설명 |
|---|---|
| api_version | 옵션입니다. 액세스할 엔드포인트의 버전입니다. 예를 들어 v1 또는 v2입니다. 최신 버전이 아닌 엔드포인트 버전을 사용하려면 이 값만 지정합니다. 데이터 유형: 문자열 |
| 이름 | 설명 |
|---|---|
| 안 함 |
| 이름 | 설명 |
|---|---|
| 송장 | 처리할 각 송장이 포함된 목록입니다. 데이터 유형: 중첩된 송장 객체의 객체입니다. |
| invoices.amount_invoiced | 세금 및 배송료를 포함하여 공급자에게 지불해야 할 총 금액입니다. 대상 필드: u_amount_invoiced 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 40 |
| bill_to_city | 송장이 전송되는 도시입니다. 대상 필드: u_bill_to_city 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| bill_to_country | 송장이 전송되는 국가(ISO 3166 형식)입니다. 예: US.대상 필드: u_bill_to_country 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| bill_to_state_or_province | 송장이 전송되는 시 또는 도입니다. 대상 필드: u_bill_to_state_or_province 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| bill_to_street | 송장이 전송되는 도로명 주소입니다. 대상 필드: u_bill_to_street 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| bill_to_zip_or_postal_code | 송장이 전송되는 우편번호입니다. 대상 필드: u_bill_to_zip_or_postal_code |
| invoices.business_owner | 비즈니스 측에서 애플리케이션을 소유한 소유자의 이름입니다. 대상 필드: u_business_owner 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 40 |
| invoices.currency | 필수. 소계, 세금 및 배송비에 대한 통화입니다. 소계, 세금 및 배송은 동일한 통화여야 합니다. 대상 필드: u_currency 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 40 |
| 송장.할인 | 송장에 적용되는 할인입니다. 대상 필드: u_discounts 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.erp_number | 구매 주문에 대해 ERP(전사적 자원 관리) 시스템 내에서 생성된 고유 번호입니다. 자세한 내용은 Purchase order integration 문서를 참조하십시오. 대상 필드: u_erp_number 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 40 |
| 송장. external_invoice_number | 필수 외부 공급업체 애플리케이션에서 생성된 송장 번호입니다. 대상 필드: u_external_invoice_number 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 40 |
| invoices.invoice_date | 필수 고객이 송장을 처리한 날짜입니다. 대상 필드: u_invoice_date 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 40 형식: YYYY-MM-DD |
| invoices.invoice_line_count | 송장의 라인 수입니다. 대상 필드: u_invoice_line_count 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 40 |
| invoices.invoice_lines | 이 주문 내의 구매에 대해 송장 처리되는 라인을 정의하는 객체 목록입니다. 송장 라인은 송장 라인 임포트 인바운드[sn_spend_intg_imp_invoice_line] 테이블에서 준비됩니다. 데이터 유형: 배열 |
| invoices.invoice_lines. cost_center | 송장이 생성되는 비용 센터의 계정 번호입니다. 비용 센터 [cmn_cost_center] 테이블에 나열됩니다. 대상 필드: u_cost_center 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] 데이터 유형: 문자열 최대 길이: 40 |
| invoices.invoice_lines. 통화 | 라인 항목의 통화입니다. 예: USD대상 필드: u_currency 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] 데이터 유형: 문자열 최대 길이: 40 |
| invoices.invoice_lines. external_invoice_number | 필수 외부 공급업체 애플리케이션에서 생성된 송장 번호입니다. 대상 필드: u_external_invoice_number 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 40 |
| invoices.invoice_lines. gl_account | 송장을 생성하는 데 사용되는 GL(총계정원장)의 계정 번호입니다. 대상 필드: u_gl_account 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] 데이터 유형: 문자열 최대 길이: 40 |
| invoices.invoice_lines. line_amount_invoiced | 필수 지정된 구매 주문 라인에 대해 고객에게 송장이 발행되는 총 비용(세금 및 배송 제외)입니다. 대상 필드: u_line_amount_invoiced 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] 데이터 유형: 문자열 최대 길이: 40 |
| invoices.invoice_lines. line_description | 필수 송장 라인에 대한 설명입니다. 대상 필드: u_line_description 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] 데이터 유형: 문자열 최대 길이: 40 |
| invoices.invoice_lines. line_quantity | 필수 고객이 송장을 발행하는 상품 또는 서비스의 수량입니다. 대상 필드: u_line_quantity 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] 데이터 유형: 문자열 최대 길이: 40 |
| invoices.invoice_lines. line_unit_price | 송장 내 라인 항목의 단가입니다. 대상 필드: u_line_unit_price 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] 데이터 유형: 문자열 최대 길이: 40 |
| invoices.invoice_lines. po_line_description | 송장의 구매 주문서 라인에 대한 설명입니다. 대상 필드: u_po_line_description 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.invoice_lines. purchase_order_line | 필수 참조된 공급자의 구매 주문서 라인 ID입니다. 구매 주문서 라인 [sn_shop_purchase_order_line] 테이블에 나열됩니다. 대상 필드: u_purchase_order_line 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] 데이터 유형: 문자열 최대 길이: 40 |
| invoices.invoice_lines. ship_to_city | 구매 주문서의 항목이 배송된 목적지 도시입니다. 대상 필드: u_ship_to_city 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.invoice_lines. ship_to_country | 구매 주문서의 항목이 배송된 목적지 국가입니다. 대상 필드: u_ship_to_country 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.invoice_lines. ship_to_state_or_province | 구매 주문서의 항목이 배송된 목적지 시/도입니다. 대상 필드: u_ship_to_state_or_province 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.invoice_lines. ship_to_street | 구매 주문서의 항목이 배송된 목적지 거리입니다. 대상 필드: u_ship_to_street 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.invoice_lines. ship_to_zip_or_postal_code | 구매 주문서의 항목이 배송된 목적지 우편번호입니다. 대상 필드: u_ship_to_zip_or_postal_code 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.invoice_lines. 소계 | 필수 세금 및 배송료를 제외하고 공급자에게 지불할 총 금액입니다. 대상 필드: u_subtotal 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.invoice_lines. supplier_part_number | 필수 이 송장 라인에 대해 공급자가 생성하는 파트 번호입니다. 대상 필드: u_supplier_part_number 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.invoice_lines. tax_code | ERP 소스에서 생성된 고유 세금 코드입니다. 대상 필드: u_tax_code 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.invoice_lines. tax_details | 송장 라인과 연결된 구매에 대한 세금 라인 목록입니다. 데이터 유형: 객체 배열 |
| invoices.invoice_lines. tax_details.tax_amount | 필수 구매에 대해 청구되는 총 세금 금액입니다. 대상 필드: u_tax_amount 관련 테이블: 송장 세금 라인 임포트 [sn_spend_intg_imp_invoice_tax_line] 데이터 유형: 문자열 최대 길이: 40 |
| invoices.invoice_lines. tax_details.tax_rate | 공급자가 부과한 세율입니다. 대상 필드: u_supplier_tax_rate 관련 테이블: 송장 세금 라인 임포트 [sn_spend_intg_imp_invoice_tax_line] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.invoice_lines. tax_details.세금 유형 | 송장에 적용할 수 있는 세금 유형입니다. 세금 유형 [sn_fin_tax_type] 테이블에 나열됩니다. 대상 필드: u_tax_type 관련 테이블: 송장 세금 라인 임포트 [sn_spend_intg_imp_invoice_tax_line] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.invoice_lines.uom | 송장의 항목을 계산하는 데 사용되는 UOM(기본 측정 단위)입니다. 대상 필드: u_uom 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.invoice_type | 처리할 송장의 유형입니다. 대상 필드: u_invoice_type 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.legal_entity | 공급자의 법인 이름입니다. 법인 [sn_fin_legal_entity] 테이블에 있습니다. 대상 필드: u_legal_entity 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.original_invoice | 공급자가 생성한 고유 송장 번호입니다. 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 대상 필드: u_original_invoice 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.other_charges | 송장과 관련된 기타 추가 요금입니다. 편집 가능한 필드입니다. 대상 필드: u_other_charges 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.payment_terms | 공급자에 대한 지불이 이루어지는 합의된 시간과 조건입니다. 예를 들어, Net 30입니다.관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.purchase_order | 필수 이 주문에 대해 고객이 제공한 구매 주문서 번호입니다. 구매 주문서 [sn_shop_purchase_order] 테이블에 나열됩니다. 대상 필드: u_purchase_order 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 40 |
| invoices.remit_address | 필수 지불이 이루어지는 도로명 주소입니다. 대상 필드: u_remit_address 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.remit_to_city | 필수 지불이 이루어지는 도시입니다. 대상 필드: u_remit_to_city 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.remit_to_country | 필수 지불이 이루어지는 국가(ISO 3166 형식)입니다. 예: US.대상 필드: u_remit_to_country 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| 송장. remit_to_state_or_province | 필수 지불이 이루어지는 시 또는 도입니다. 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| 송장. remit_to_zip_or_postal_code | 필수 지불이 이루어지는 우편번호입니다. 대상 필드: u_remit_to_state_or_province 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.ship_from_city | 구매 주문서의 항목이 배송된 출발지 도시입니다. 대상 필드: u_ship_from_city 데이터 유형: 문자열 최대 길이: 100 |
| invoices.ship_from_country | 구매 주문서의 항목이 배송된 출발지 국가입니다. 대상 필드: u_ship_from_country 데이터 유형: 문자열 최대 길이: 100 |
| 송장. ship_from_state_or_province | 구매 주문서의 항목이 배송된 출발지 주/도입니다. 대상 필드: u_ship_from_state_or_province 데이터 유형: 문자열 최대 길이: 100 |
| invoices.ship_from_street | 구매 주문서의 항목이 배송된 출발지 거리입니다. 대상 필드: u_ship_from_street 데이터 유형: 문자열 최대 길이: 100 |
| 송장. ship_from_zip_or_postal_code | 구매 주문서의 항목이 배송된 출발지 우편번호입니다. 대상 필드: u_ship_from_zip_or_postal_code 데이터 유형: 문자열 최대 길이: 100 |
| invoices.ship_to_city | 구매 주문서의 항목이 배송된 목적지 도시입니다. 대상 필드: u_ship_to_city 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.ship_to_country | 구매 주문서의 항목이 배송된 목적지 국가입니다. 대상 필드: u_ship_to_country 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| 송장. ship_to_state_or_province | 구매 주문서의 항목이 배송된 목적지 시/도입니다. 대상 필드: u_ship_to_state_or_province 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.ship_to_street | 구매 주문서의 항목이 배송된 목적지 거리입니다. 대상 필드: u_ship_to_street 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| 송장. ship_to_zip_or_postal_code | 구매 주문서의 항목이 배송된 목적지 우편번호입니다. 대상 필드: u_ship_to_zip_or_postal_code 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.shipping_amount | 필수 전체 구매에 대한 총 배송 비용입니다. 대상 필드: u_shipping_amount 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 40 |
| 송장.소계 | 필수 세금 및 배송료를 제외하고 공급자에게 지불할 총 금액입니다. 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 40 |
| 송장.공급자 | 필수 고객이 주문할 수 있는 리셀러 또는 공급자의 식별자입니다. 대상 필드: u_supplier 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| 송장. supplier_invoice_number | 필수 이 송장에 대해 공급자가 생성한 식별 번호입니다. 대상 필드: u_supplier_invoice_number 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.supplier_tax_id | 외부 공급업체 리셀러와 연결된 세금 식별자입니다. 편집 가능한 필드입니다. 대상 필드: u_supplier_tax_id 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 데이터 유형: 문자열 최대 길이: 100 |
| invoices.target_erp | 송장이 게시된 ERP 기록입니다. ERP 소스 [sn_fin_erp_source] 테이블에 있습니다. ERP source 문서를 참조하십시오. 데이터 유형: 문자열 |
머리글
다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 이 작업에 고유한 방식으로 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하세요.
| 헤더 | 설명 |
|---|---|
| 콘텐츠-형식 | 요청 본문의 데이터 형식입니다. .만 지원합니다 application/json. |
| 소스-시스템 | 요청이 들어오는 소스 시스템을 지정합니다. 이 설정은 제공된 요청이 송장 통합 필드 매핑 [sn_spend_intg_invoice_intg_field_mapping] 테이블의 구조를 따르는지 확인하는 데 도움이 됩니다. |
| 헤더 | 설명 |
|---|---|
| 없음 |
상태 코드
다음 상태 코드는 이 HTTP 작업에 적용됩니다. REST API에서 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하세요.
| 상태 코드 | 설명 |
|---|---|
| 202 | 요청이 수락되었습니다. 요청이 성공했으며 송장 처리가 진행 중입니다. |
| 400 | 잘못된 요청입니다. 잘못된 요청 유형 또는 잘못된 형식의 요청이 탐지되었습니다. |
| 429 | 요청이 너무 많습니다. 요청 속도가 시간당 최대 10개 요청을 초과했습니다. |
응답 본문 매개변수
| 이름 | 설명 |
|---|---|
| batch_id | 배치 요청의 고유 식별자입니다. 이 ID는 요청 상태를 추적하는 데 사용할 수 있습니다. 이 기록은 송장 통합 로그 [sn_spend_intg_invoice_integration_log] 테이블에 저장됩니다. 데이터 유형: 문자열 |
| 오류 | 요청이 실패할 때의 오류 메시지와 세부 정보를 포함합니다.데이터 유형: 객체 |
| 오류.상세 정보 | 요청 오류에 대한 추가 상세 정보입니다. 가능한 결과:
데이터 유형: 문자열 |
| 오류.메시지 | 요청이 실패한 이유를 포함하는 오류 메시지 가능한 오류:
데이터 유형: 문자열 |
| 메시지 | 성공 메시지(예: 요청이 성공적으로 수신되어 처리 중임)입니다. 송장 통합 로그 [sn_spend_intg_invoice_integration_log] 테이블에서 요청 상태를 볼 수 있습니다. 데이터 유형: 문자열 |
| 상태 | 요청의 결과를 나타냅니다. 가능한 값:
데이터 유형: 문자열 |
cURL 요청
다음 예는 JSON 형식으로 요청으로 제공된 송장을 처리하는 방법을 보여줍니다.
curl "https://instance.servicenow.com/api/sn_spend_intg/v1/ap_invoice/json" \
--request \
POST \
--header \
"Source-System: Coupa" \
--header \
"Content-Type: application/json" \
--user 'username' \
:'password' \
--data \
'{
"invoices": [
{
"invoice_type": "non_po_invoice",
"supplier_invoice_number": "SPOTLIGHT98",
"external_invoice_number": "SPOTLIGHT98",
"erp_number": "RTest12345",
"purchase_order": "R0030R16537",
"business_owner": "paula.smith@example.com",
"supplier": "3245545",
"original_invoice": "SIN188191",
"invoice_date": "2023-08-15",
"payment_terms": "Net 30",
"legal_entity": "1000",
"subtotal": "100.00",
"shipping_amount": "50.00",
"other_charges": "20.00",
"discounts": "100.00",
"amount_invoiced": "150.00",
"currency": "USD",
"invoice_line_count": "2",
"ship_to_city": "",
"ship_to_country": "USA",
"ship_to_state_or_province": "NY",
"ship_to_street": "123 Main St",
"ship_to_zip_or_postal_code": "10001",
"ship_from_city": "Los Angeles",
"ship_from_country": "USA",
"ship_from_state_or_province": "CA",
"ship_from_street": "456 Oak Ave",
"ship_from_zip_or_postal_code": "90001",
"remit_address": "789 Elm St, Suite 200",
"remit_to_city": "Chicago",
"remit_to_country": "USA",
"remit_to_state_or_province": "IL",
"remit_to_zip_or_postal_code": "60601",
"bill_to_city": "San Diego",
"bill_to_country": "USA",
"bill_to_state_or_province": "CA",
"bill_to_street": "4810 Eastgate Mall",
"bill_to_zip_or_postal_code": "92121",
"supplier_tax_id": "123456789",
"tax_details": [
{
"tax_type": "Central Goods and Services Tax",
"tax_amount": "25",
"tax_rate": ""
},
{
"tax_type": "Sales tax",
"tax_amount": "10",
"tax_rate": "10"
},
{
"tax_type": "IGST",
"tax_amount": "",
"tax_rate": "15"
},
{
"tax_type": "State Goods and Service Tax",
"tax_amount": "20",
"tax_rate": "10"
}
],
"invoice_lines": [
{
"external_invoice_number": "SPOTLIGHT98",
"line_description": "Laptop",
"line_quantity": "5",
"line_unit_price": "20.00",
"subtotal": "100.00",
"line_amount_invoiced": "100.00",
"purchase_order_line": "232432",
"po_line_description": "Mac laptop",
"currency": "USD",
"cost_center": "41605600",
"gl_account": "141101",
"tax_code": "A0 - Sales tax, standard rate",
"ship_to_city": "New York",
"ship_to_country": "USA",
"ship_to_state_or_province": "NY",
"ship_to_street": "123 Main St",
"ship_to_zip_or_postal_code": "10001",
"supplier_part_number": "SPN-001",
"uom": "Hours",
"tax_details": [
{
"tax_type": "Central Goods and Services Tax",
"tax_amount": "25",
"tax_rate": ""
},
{
"tax_type": "Sales tax",
"tax_amount": "",
"tax_rate": "10"
}
]
},
{
"external_invoice_number": "SPOTLIGHT98",
"line_description": "Charger",
"line_quantity": "5",
"line_unit_price": "40.00",
"subtotal": "200.00",
"line_amount_invoiced": "200.00",
"purchase_order_line": "232432",
"po_line_description": "Mac laptop",
"currency": "USD",
"cost_center": "41605600",
"gl_account": "141101",
"tax_code": "A0 - Sales tax, standard rate",
"ship_to_city": "New York",
"ship_to_country": "USA",
"ship_to_state_or_province": "NY",
"ship_to_street": "123 Main St",
"ship_to_zip_or_postal_code": "10001",
"supplier_part_number": "SPN-001",
"uom": "Hours",
"tax_details": [
{
"tax_type": "Central Goods and Services Tax",
"tax_amount": "25",
"tax_rate": ""
},
{
"tax_type": "Sales tax",
"tax_amount": "",
"tax_rate": "10"
}
]
}
]
}
],
"target_erp": ""
}'
다음 결과는 요청이 성공했으며 송장 데이터가 처리 중임을 보여줍니다. 송장 통합 로그 [sn_spend_intg_invoice_integration_log] 테이블에서 요청 상태를 볼 수 있습니다. 배치 ID 열에 나열된 배치 ID를 사용하여 송장을 찾습니다.
{
"batchId": "APIINV1729711710733280",
"status": "Success",
"message": "Your request has been successfully received and is being processed."
}
AP 송장 - POST sn_spend_intg/ap_invoice/xml
XML 형식의 자동 송장을 처리합니다.
송장 통합 필드 매핑 [sn_spend_intg_invoice_intg_field_mapping] 테이블을 사용하여 필드가 XML 태그에 매핑되는 방식을 결정합니다.
URL 형식
버전이 지정된 URL: /api/sn_spend_intg/v1/ap_invoice/xml
기본 URL: /api/sn_spend_intg/ap_invoice/xml
지원되는 요청 매개변수
| 이름 | 설명 |
|---|---|
| api_version | 옵션입니다. 액세스할 엔드포인트의 버전입니다. 예를 들어 v1 또는 v2입니다. 최신 버전이 아닌 엔드포인트 버전을 사용하려면 이 값만 지정합니다. 데이터 유형: 문자열 |
| 이름 | 설명 |
|---|---|
| 안 함 |
| 경로 | 설명 |
|---|---|
| /Invoice/AmountInvoiced | 세금 및 배송료를 포함하여 공급자에게 지불해야 할 총 금액입니다. 대상 필드: u_amount_invoiced 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| 송장/BillToCity | 송장이 전송되는 도시입니다. 대상 필드: u_bill_to_city 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /Invoice/BillToCountry | 송장이 전송되는 국가(ISO 3166 형식)입니다. 예: US.대상 필드: u_bill_to_country 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /Invoice/BillToStateOrProvince | 송장이 전송되는 시 또는 도입니다. 대상 필드: u_bill_to_state_or_province 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /송장/BillToStreet | 송장이 전송되는 도로명 주소입니다. 대상 필드: u_bill_to_street 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /Invoice/BillToZipOrPostalCode | 송장이 전송되는 우편번호입니다. 대상 필드: u_bill_to_zip_or_postal_code |
| /송장/통화 | 필수. 소계, 세금 및 배송비에 대한 통화입니다. 소계, 세금 및 배송은 동일한 통화여야 합니다. 대상 필드: u_currency 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /invoice/dateFormat | 송장 날짜 형식을 기본 YYYY-MM-DD에서 지원되는 다른 날짜 형식으로 설정합니다. 날짜 값은 요소에 설정됩니다 InvoiceDate . 지원되는 날짜 형식:
주: MMM 형식 항목은 처음 세 글자로 된 월을 나타냅니다(예: Aug). MMMM 형식 항목은 전체 월 이름(예: 8월)을 나타냅니다. 대상 필드: u_date_format 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 기본 형식: YYYY-MM-DD |
| /송장/할인 | 송장에 적용되는 할인입니다. 대상 필드: u_discounts 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /invoice/ExternalInvoiceNumber | 외부 공급업체 애플리케이션에서 생성된 송장 번호입니다. 대상 필드: u_external_invoice_number 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /송장/송장 날짜 | 고객이 송장을 처리한 날짜입니다.DateFormat 요소를 사용하여 기본이 아닌 지원되는 형식으로 날짜를 추가합니다. 대상 필드: u_invoice_date 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] 기본 형식: YYYY-MM-DD |
| /송장/LegalEntity | 공급자의 법인 이름입니다. 법인 [sn_fin_legal_entity] 테이블에 있습니다. 대상 필드: u_legal_entity 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /Invoice/OtherCharges | 송장과 관련된 기타 추가 요금입니다. 편집 가능한 필드입니다. 대상 필드: u_other_charges 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /송장/지불 조건 | 공급자에 대한 지불이 이루어지는 합의된 시간과 조건입니다. 예를 들어, Net 30입니다.대상 필드: u_payment_terms 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /송장/송금 주소 | 지불이 이루어지는 도로명 주소입니다. 대상 필드: u_remit_address |
| 송장/송금 도시 | 지불이 이루어지는 도시입니다. 대상 필드: u_remit_to_city |
| /송장/송금 대상 국가 | 지불이 이루어지는 국가(ISO 3166 형식)입니다. 예: US.대상 필드: u_remit_to_country |
| /송장/RemitToStateOrProvince | 지불이 이루어지는 시 또는 도입니다. 대상 필드: u_remit_to_state_or_province |
| /Invoice/RemitToZipOrPostalCode | 지불이 이루어지는 우편번호입니다. 대상 필드: u_remit_to_zip_or_postal_code |
| /invoice/ShipFromCity | 구매 주문서의 항목이 배송된 출발지 도시입니다. 대상 필드: u_ship_from_city 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /송장/ShipFromCountry | 구매 주문서의 항목이 배송된 출발지 국가입니다. 대상 필드: u_ship_from_country 관련 테이블: 송장 라인 [sn_spend_intg_imp_invoice] |
| /송장/ShipFromStateOrProvince | 구매 주문서의 항목이 배송된 출발지 주/도입니다. 대상 필드: u_ship_from_state_or_province 관련 테이블: 송장 라인 [sn_spend_intg_imp_invoice] |
| /송장/ShipFromStreet | 구매 주문서의 항목이 배송된 출발지 거리입니다. 대상 필드: u_ship_from_street 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /invoice/ShipFromZipOrPostalCode | 구매 주문서의 항목이 배송된 출발지 우편번호입니다. 대상 필드: u_ship_from_zip_or_postal_code 관련 테이블: 송장 라인 [sn_spend_intg_imp_invoice] |
| /송장/배송 금액 | 전체 구매에 대한 총 배송 비용입니다. 대상 필드: u_shipping_amount 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /송장/소계 | 세금 및 배송료를 제외하고 공급자에게 지불할 총 금액입니다. 대상 필드: u_subtotal 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /송장/공급자 | 고객이 주문할 수 있는 리셀러 또는 공급자의 식별자입니다. 대상 필드: u_supplier 관련 테이블: 송장 임포트 [sn_spend_intg_imp_invoice] |
| /송장라인/CostCenter | 송장이 생성되는 비용 센터의 계정 번호입니다. 비용 센터 [cmn_cost_center] 테이블에 나열됩니다. 대상 필드: u_cost_center |
| /송장라인/통화 | 라인 항목의 통화입니다. 예: USD대상 필드: u_currency 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /송장라인/GLAccount | 송장을 생성하는 데 사용되는 GL(총계정원장)의 계정 번호입니다. 대상 필드: u_gl_account |
| /InvoiceLine/LineAmountInvoiced | 지정된 구매 주문 라인에 대해 고객에게 송장이 발행되는 총 비용(세금 및 배송 제외)입니다. 대상 필드: u_line_amount_invoiced 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /InvoiceLine/LineDescription | 송장 라인에 대한 설명입니다. 대상 필드: u_line_description |
| /InvoiceLine/LineQuantity | 고객이 송장을 발행하는 상품 또는 서비스의 수량입니다. 대상 필드: u_line_quantity |
| /InvoiceLine/LineUnitPrice | 송장 내 라인 항목의 단가입니다. 대상 필드: u_line_unit_price 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /InvoiceLine/POLineDescription | 송장의 구매 주문서 라인에 대한 설명입니다. 대상 필드: u_po_line_description 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /InvoiceLine/구매 주문서 라인 | 이 주문에 대해 고객이 제공한 구매 주문서 번호입니다. 구매 주문서 [sn_shop_purchase_order] 테이블에 나열됩니다. 대상 필드: u_purchase_order 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /송장라인/ShipToCity | 구매 주문서의 항목이 배송된 목적지 도시입니다. 대상 필드: u_ship_to_city 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /InvoiceLine/ShipToCountry | 구매 주문서의 항목이 배송된 목적지 국가입니다. 대상 필드: u_ship_to_country 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /InvoiceLine/ShipToStateOrProvince | 구매 주문서의 항목이 배송된 목적지 시/도입니다. 대상 필드: u_ship_to_state_or_province |
| /송장라인/ShipToStreet | 구매 주문서의 항목이 배송된 목적지 거리입니다. 대상 필드: u_ship_to_street 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /InvoiceLine/ShipToZipOrPostalCode | 구매 주문서의 항목이 배송된 목적지 우편번호입니다. 대상 필드: u_ship_to_zip_or_postal_code 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /송장라인/소계 | 세금 및 배송료를 제외하고 공급자에게 지불할 총 금액입니다. 대상 필드: u_subtotal 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /송장라인/SupplierPartNumber | 이 송장 라인에 대해 공급자가 생성하는 파트 번호입니다. 대상 필드: u_supplier_part_number 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /송장라인/TaxCode | ERP 소스에서 생성된 고유 세금 코드입니다. 대상 필드: u_tax_code 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /송장 라인/UOM | 송장의 항목을 계산하는 데 사용되는 UOM(기본 측정 단위)입니다. 대상 필드: u_uom 관련 테이블: 송장 라인 임포트 [sn_spend_intg_imp_invoice_line] |
| /TaxDetail/TaxType | 송장에 적용할 수 있는 세금 유형입니다. 세금 유형 [sn_fin_tax_type] 테이블에 나열됩니다. 대상 필드: u_tax_type 관련 테이블: 송장 세금 라인 임포트 [sn_spend_intg_imp_invoice_tax_line] |
| /TaxDetail/TaxRate | 공급자가 부과한 세율입니다. 관련 테이블: 송장 세금 라인 임포트 [sn_spend_intg_imp_invoice_tax_line] 대상 필드: u_supplier_tax_rate 관련 테이블: 송장 세금 라인 임포트 [sn_spend_intg_imp_invoice_tax_line] |
머리글
다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 이 작업에 고유한 방식으로 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하세요.
| 헤더 | 설명 |
|---|---|
| 콘텐츠-형식 | 요청 본문의 데이터 형식입니다. .만 지원합니다 application/xml. |
| 소스-시스템 | 요청이 들어오는 소스 시스템을 지정합니다. 사용 가능한 시스템은 소스 시스템 자격 증명 [sn_spend_intg_source_system_credential] 테이블에 나열됩니다. 이 설정은 제공된 요청이 송장 통합 필드 매핑 [sn_spend_intg_invoice_intg_field_mapping] 테이블의 구조를 따르는지 확인하는 데 도움이 됩니다. 이 설정은 소스 시스템 자격 증명 [sn_spend_intg_source_system_credential] 테이블에서 자격 증명을 가져오는 데에도 사용됩니다. |
| 헤더 | 설명 |
|---|---|
| 없음 |
상태 코드
다음 상태 코드는 이 HTTP 작업에 적용됩니다. REST API에서 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하세요.
| 상태 코드 | 설명 |
|---|---|
| 202 | 요청이 수락되었습니다. 요청이 성공했으며 송장 처리가 진행 중입니다. |
| 400 | 잘못된 요청입니다. 잘못된 요청 유형 또는 잘못된 형식의 요청이 탐지되었습니다. |
| 429 | 요청이 너무 많습니다. 요청 속도가 시간당 최대 10개 요청을 초과했습니다. |
응답 본문 매개변수
| 이름 | 설명 |
|---|---|
| batch_id | 배치 요청의 고유 식별자입니다. 이 ID는 요청 상태를 추적하는 데 사용할 수 있습니다. 이 기록은 송장 통합 로그 [sn_spend_intg_invoice_integration_log] 테이블에 저장됩니다. 데이터 유형: 문자열 |
| 오류 | 요청이 실패할 때의 오류 메시지와 세부 정보를 포함합니다.데이터 유형: 객체 |
| 오류.상세 정보 | 요청 오류에 대한 추가 상세 정보입니다. 가능한 결과:
데이터 유형: 문자열 |
| 오류.메시지 | 요청이 실패한 이유를 포함하는 오류 메시지 가능한 오류:
데이터 유형: 문자열 |
| 메시지 | 성공 메시지(예: 요청이 성공적으로 수신되어 처리 중임)입니다. 송장 통합 로그 [sn_spend_intg_invoice_integration_log] 테이블에서 요청 상태를 볼 수 있습니다. 데이터 유형: 문자열 |
| 상태 | 요청의 결과를 나타냅니다. 가능한 값:
데이터 유형: 문자열 |
cURL 요청
다음 예는 XML 형식의 요청으로 제공된 송장을 처리하는 방법을 보여줍니다.
curl -X POST https://instance.servicenow.com/api/sn_spend_intg/v1/ap_invoice/xml \
-H "Source-System: Ariba" \
-H "Content-Type: application/json" \
-d '<Invoices>
<Invoice>
<InvoiceType>invoice</InvoiceType>
<SupplierInvoiceNumber>S-432432425</SupplierInvoiceNumber>
<ExternalInvoiceNumber>EXT-INV-003</ExternalInvoiceNumber>
<Supplier>3245545</Supplier>
<PurchaseOrder>0004511198</PurchaseOrder>
<BusinessOwner>Paula Smith</BusinessOwner>
<InvoiceDate>2023-09-02</InvoiceDate>
<PaymentTerms>Net 60</PaymentTerms>
<OriginalInvoice></OriginalInvoice>
<LegalEntity></LegalEntity>
<Subtotal>23985.00</Subtotal>
<ShippingAmount>750.00</ShippingAmount>
<OtherCharges></OtherCharges>
<Discounts></Discounts>
<AmountInvoiced>27073.54</AmountInvoiced>
<Currency>USD</Currency>
<InvoiceLineCount>2</InvoiceLineCount>
<ShipToCity>Los Angeles</ShipToCity>
<ShipToCountry>USA</ShipToCountry>
<ShipToStateOrProvince>CA</ShipToStateOrProvince>
<ShipToStreet>456 Oak Ave</ShipToStreet>
<ShipToZipOrPostalCode>90001</ShipToZipOrPostalCode>
<ShipFromCity>Addison</ShipFromCity>
<ShipFromCountry>USA</ShipFromCountry>
<ShipFromStateOrProvince>TX</ShipFromStateOrProvince>
<ShipFromStreet>15725 Dallas P</ShipFromStreet>
<ShipFromZipOrPostalCode>55555</ShipFromZipOrPostalCode>
<RemitAddress>47 W 11th St</RemitAddress>
<RemitToCity>New York</RemitToCity>
<RemitToCountry>USA</RemitToCountry>
<RemitToStateOrProvince>NY</RemitToStateOrProvince>
<RemitToZipOrPostalCode>99999</RemitToZipOrPostalCode>
<BillToStreet>4810 Eastgate Mall</BillToStreet>
<BillToCity>San Diego</BillToCity>
<BillToCountry>USA</BillToCountry>
<BillToStateOrProvince>CA</BillToStateOrProvince>
<BillToZipOrPostalCode>92121</BillToZipOrPostalCode>
<SupplierTaxID>7894328742</SupplierTaxID>
<TaxDetails>
<TaxDetail>
<TaxType>CGST</TaxType>
<TaxAmount></TaxAmount>
<TaxRate>15</TaxRate>
</TaxDetail>
<TaxDetail>
<TaxType>SGST</TaxType>
<TaxAmount>100</TaxAmount>
<TaxRate></TaxRate>
</TaxDetail>
</TaxDetails>
<InvoiceLines>
<InvoiceLine>
<ExternalInvoiceNumber>EXT-INV-002</ExternalInvoiceNumber>
<LineDescription>NowX Laptop</LineDescription>
<PurchaseOrderLine></PurchaseOrderLine>
<LineQuantity>15</LineQuantity>
<LineUnitPrice>1500.00</LineUnitPrice>
<Subtotal>22500.00</Subtotal>
<LineAmountInvoiced>24693.75</LineAmountInvoiced>
<Currency>USD</Currency>
<CostCenter></CostCenter>
<GLAccount></GLAccount>
<TaxCode></TaxCode>
<ShipToCity></ShipToCity>
<ShipToCountry></ShipToCountry>
<ShipToStateOrProvince></ShipToStateOrProvince>
<ShipToStreet></ShipToStreet>
<ShipToZipOrPostalCode></ShipToZipOrPostalCode>
<SupplierPartNumber></SupplierPartNumber>
<UOM>Individual Unit</UOM>
<TaxDetails>
<TaxDetail>
<TaxType>WHTTax</TaxType>
<TaxAmount>2193.75</TaxAmount>
<TaxRate>9.75</TaxRate>
</TaxDetail>
</TaxDetails>
</InvoiceLine>
<InvoiceLine>
<ExternalInvoiceNumber>EXT-INV-002</ExternalInvoiceNumber>
<LineDescription>NowX Charger</LineDescription>
<PurchaseOrderLine>PO-6789-001</PurchaseOrderLine>
<LineQuantity>15</LineQuantity>
<LineUnitPrice>99.00</LineUnitPrice>
<Subtotal>1485.00</Subtotal>
<LineAmountInvoiced>1629.79</LineAmountInvoiced>
<Currency>USD</Currency>
<CostCenter></CostCenter>
<GLAccount></GLAccount>
<TaxCode></TaxCode>
<ShipToCity></ShipToCity>
<ShipToCountry></ShipToCountry>
<ShipToStateOrProvince></ShipToStateOrProvince>
<ShipToStreet></ShipToStreet>
<ShipToZipOrPostalCode></ShipToZipOrPostalCode>
<SupplierPartNumber></SupplierPartNumber>
<UOM>Individual Unit</UOM>
<TaxDetails>
<TaxDetail>
<TaxType>GSTTax</TaxType>
<TaxAmount>144.79</TaxAmount>
<TaxRate>9.75</TaxRate>
</TaxDetail>
<TaxDetail>
<TaxType>CGST</TaxType>
<TaxAmount>1000</TaxAmount>
<TaxRate>12</TaxRate>
</TaxDetail>
</TaxDetails>
</InvoiceLine>
</InvoiceLines>
</Invoice>
<Invoice>
<InvoiceType>invoice</InvoiceType>
<SupplierInvoiceNumber>S-432432426</SupplierInvoiceNumber>
<ExternalInvoiceNumber>EXT-INV-006</ExternalInvoiceNumber>
<Supplier>3245545</Supplier>
<PurchaseOrder>0004511198</PurchaseOrder>
<BusinessOwner>Paula Smith</BusinessOwner>
<InvoiceDate>2023-09-02</InvoiceDate>
<PaymentTerms>Net 60</PaymentTerms>
<OriginalInvoice></OriginalInvoice>
<LegalEntity></LegalEntity>
<Subtotal>23985.00</Subtotal>
<ShippingAmount>750.00</ShippingAmount>
<OtherCharges></OtherCharges>
<Discounts></Discounts>
<AmountInvoiced>27073.54</AmountInvoiced>
<Currency>USD</Currency>
<InvoiceLineCount>2</InvoiceLineCount>
<ShipToCity>Los Angeles</ShipToCity>
<ShipToCountry>USA</ShipToCountry>
<ShipToStateOrProvince>CA</ShipToStateOrProvince>
<ShipToStreet>456 Oak Ave</ShipToStreet>
<ShipToZipOrPostalCode>90001</ShipToZipOrPostalCode>
<ShipFromCity>Addison</ShipFromCity>
<ShipFromCountry>USA</ShipFromCountry>
<ShipFromStateOrProvince>TX</ShipFromStateOrProvince>
<ShipFromStreet>15725 Dallas P</ShipFromStreet>
<ShipFromZipOrPostalCode>55555</ShipFromZipOrPostalCode>
<RemitAddress>47 W 11th St</RemitAddress>
<RemitToCity>New York</RemitToCity>
<RemitToCountry>USA</RemitToCountry>
<RemitToStateOrProvince>NY</RemitToStateOrProvince>
<RemitToZipOrPostalCode>99999</RemitToZipOrPostalCode>
<BillToStreet>4810 Eastgate Mall</BillToStreet>
<BillToCity>San Diego</BillToCity>
<BillToCountry>USA</BillToCountry>
<BillToStateOrProvince>CA</BillToStateOrProvince>
<BillToZipOrPostalCode>92121</BillToZipOrPostalCode>
<SupplierTaxID>7894328742</SupplierTaxID>
<TaxDetails>
<TaxDetail>
<TaxType>VATTax</TaxType>
<TaxAmount>2338.54</TaxAmount>
<TaxRate></TaxRate>
</TaxDetail>
</TaxDetails>
<InvoiceLines>
<InvoiceLine>
<ExternalInvoiceNumber>EXT-INV-002</ExternalInvoiceNumber>
<LineDescription>NowX Laptop</LineDescription>
<PurchaseOrderLine></PurchaseOrderLine>
<LineQuantity>15</LineQuantity>
<LineUnitPrice>1500.00</LineUnitPrice>
<Subtotal>22500.00</Subtotal>
<LineAmountInvoiced>24693.75</LineAmountInvoiced>
<Currency>USD</Currency>
<CostCenter></CostCenter>
<GLAccount></GLAccount>
<TaxCode></TaxCode>
<ShipToCity></ShipToCity>
<ShipToCountry></ShipToCountry>
<ShipToStateOrProvince></ShipToStateOrProvince>
<ShipToStreet></ShipToStreet>
<ShipToZipOrPostalCode></ShipToZipOrPostalCode>
<SupplierPartNumber></SupplierPartNumber>
<UOM>Individual Unit</UOM>
<TaxDetails>
</TaxDetails>
</InvoiceLine>
<InvoiceLine>
<ExternalInvoiceNumber>EXT-INV-002</ExternalInvoiceNumber>
<LineDescription>NowX Charger</LineDescription>
<PurchaseOrderLine>PO-6789-001</PurchaseOrderLine>
<LineQuantity>15</LineQuantity>
<LineUnitPrice>99.00</LineUnitPrice>
<Subtotal>1485.00</Subtotal>
<LineAmountInvoiced>1629.79</LineAmountInvoiced>
<Currency>USD</Currency>
<CostCenter></CostCenter>
<GLAccount></GLAccount>
<TaxCode></TaxCode>
<ShipToCity></ShipToCity>
<ShipToCountry></ShipToCountry>
<ShipToStateOrProvince></ShipToStateOrProvince>
<ShipToStreet></ShipToStreet>
<ShipToZipOrPostalCode></ShipToZipOrPostalCode>
<SupplierPartNumber></SupplierPartNumber>
<UOM>Individual Unit</UOM>
<TaxDetails>
</TaxDetails>
</InvoiceLine>
</InvoiceLines>
</Invoice>
<TargetERP>ERP1</TargetERP>
</Invoices>'
다음 결과는 요청이 성공했으며 송장 데이터가 처리 중임을 보여줍니다. 송장 통합 로그 [sn_spend_intg_invoice_integration_log] 테이블에서 요청 상태를 볼 수 있습니다. 배치 ID 열에 나열된 배치 ID를 사용하여 송장을 찾습니다.
{
"batchId": "APIINV1736249646168148",
"status": "Success",
"message": "Your request has been successfully received and is being processed."
}